
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= "bullet-pimp"
	actor[cp_model_dir]				= "bullets"
	actor[cp_model_name]			= "bullet-pimp"

	actor[cp_actor_type]			= cat_bullet

	actor[cp_hit_power]				= 5.0

	actor[cp_bullet_spray_angle]	= 10.0

	actor[cp_launch_hue_shift] = bullet_colour

-- leave me
	c_preload_model( actor )
-- leave me

--	c_add_particle_to_anim( "fire_d", "main", "pathfly-bullet" )
--	c_set_random_anim( "jitter", 100.0, 300.0, 0.0, 0.0 )
--	c_set_random_anim( "fire", 95.0, 105.0, 0.0, 0.0 )

	c_add_sound_to_anim( "fire_d", "robo_fire" )

--	local seq = { 0.0 }
--	c_set_use_explosion_for( "hit_active_bone", "pb_nullhit", exp_align, 0.0, 0.0, 400.0, 800.0, seq )
